{% set headScriptContent %}
  document.addEventListener("DOMContentLoaded", () => {
    document.getElementsByClassName("content").item(0).innerHTML += "<div>Content from head script</div>";
  });
{% endset %}

{% set bodyScriptContent %}
  document.getElementsByClassName("content").item(0).innerHTML += "<div>Content from body script</div>";
{% endset %}

{{ include("../../../src/theme/html/index.html.twig", {
  title: "title",
  body: {
    content: 'body.content',
    scripts: "<script type='foo'></script><script type='text/javascript'>#{bodyScriptContent}</script>"
  },
  head: {
    links: '<link rel="foo"><link rel="stylesheet" href="index.css">',
    scripts: "<script type='foo'></script><script type='text/javascript'>#{headScriptContent}</script>"
  },
  language: 'language',
  direction: 'direction'
}) }}